### 4.9.1 intvec declarations

Syntax:
  `intvec` name `=` intvec_expression `;`
  `intvec` name `=` list_of_int_and_intvec_expressions `;`

Purpose:
  defines an intvec variable.
  An intvec consists of an ordered list of integers.

Default:
  0

Example:

        intvec iv=1,3,5,7,8;
        iv;
      ==> 1,3,5,7,8
        iv[4];
      ==> 7
        iv[3..size (iv)];
      ==> 5 7 8

User manual for Singular version 4.4.1, 2025, generated by texi2html.